Storage Manager for SANs

Storage Manager for SANs helps you create and manage logical unit numbers (LUNs) on Fibre Channel and iSCSI disk drive subsystems that support Virtual Disk Service (VDS) in your storage area network (SAN).

A LUN is a logical reference to a portion of a storage subsystem. A LUN can comprise a disk, a section of a disk, a whole disk array, or a section of a disk array in the subsystem. Using LUNs simplifies the management of storage resources in your SAN because they serve as logical identifiers through which you can assign access and control privileges.

  • To install and start working with Storage Manager for SANs, see Deploying Storage Manager for SANs.

  • For an overview of managing LUNs with Storage Manager for SANs, see Overview of Storage Manager for SANs.

  • For a list of steps about how to create a LUN using Storage Manager for SANs, see Checklist: Prepare and Create a LUN.

  • For information about the connections between the servers in your SAN and the LUNs that you create using Storage Manager for SANs, see Manage Server Connections.

  • To create and manage LUNs, see Manage LUNs.

  • To create and manage targets on iSCSI subsystems, see Manage iSCSI Targets.

  • For information about Fibre Channel and iSCSI subsystems, see Manage Subsystems.

  • For information about disk drives in the Fibre Channel and iSCSI subsystems, see Manage Drives.

  • For information about DiskRAID, see DiskRAID.


Deploying Storage Manager for SANs

After you install a Windows Server 2003 R2 operating system, use Add or Remove Programs in Control Panel to install the Storage Manager for SANs component.

To install Storage Manager for SANs, you must be logged on under an account that has administrative rights on the local computer and have the installation CD for Windows Server 2003 R2 available.

Important

You may need to restart your server after the installation of Storage Manager for SANs has completed. You should plan accordingly.

To install Storage Manager for SANs

  1. In Control Panel, click Add or Remove Programs. Then click Add/Remove Windows Components.

  2. From the list of components, in the Windows Components Wizard dialog box, select Management and Monitoring Tools, and click Details.

  3. From the list of subcomponents, select Storage Manager for SANs, and then click OK.

  4. Click Next, and after the configuration of the new component has completed, click Finish.

Opening the Storage Manager for SANs snap-in

You administer the Storage Manager for SANs component through a Microsoft Management Console (MMC) snap-in. To use Storage Manager for SANs, you must be logged on under an account that has administrative rights.

To open Storage Manager for SANs, in Control Panel, double-click Administrative Tools, and then double-click Storage Manager for SANs.

See Also

  • Checklist: Prepare and Create a LUN


Overview of Storage Manager for SANs

You can use Storage Manager for SANs to create and manage logical unit numbers (LUNs) on both Fibre Channel and iSCSI disk storage subsystems that support Virtual Disk Service (VDS).

Because of hardware, protocol, and security differences, LUN configuration and management on Fibre Channel and iSCSI environments is different. This section explains those differences, lists the types of LUNs that can be created, and defines LUNs in the context of partitions and volumes.

Managing LUNs in a Fibre Channel environment

In a Fibre Channel environment, LUNs created on a disk storage subsystem are assigned directly to a server or cluster, which accesses the LUN through one or more Fibre Channel host bus adapter (HBA) ports. You only need to identify the server or cluster that will access the LUN, and then select which HBA ports on that server or cluster will be used for LUN traffic.

When a server or cluster is identified, Storage Manager for SANs automatically discovers the available Fibre Channel HBA ports on that server or cluster. You can also add ports manually by typing their World Wide Name (WWN).

Managing LUNs in an iSCSI environment

Unlike in a Fibre Channel environment, LUNs created on an iSCSI disk storage subsystem are not only assigned to a server or cluster. For iSCSI, LUNs are first assigned to logical entities called targets.

Targets are created in order to manage the connections between an iSCSI device and the servers that need to access it. A target defines the portals (IP addresses) that can be used to connect to the iSCSI device, as well as the security settings (if any) that the iSCSI device requires in order to authenticate the servers that are requesting access to its resources.

Note

In most cases, you can create and manage targets yourself. However, some iSCSI storage subsystems only support simple target configurations, where targets are automatically created when you create a LUN. With simple target configurations, you also cannot delete a target or manually assign LUNs to it. LUNs are automatically assigned when they are created. For this type of subsystem, you just need to identify the server or cluster that will access the LUN, and the iSCSI subsystem will enable access from that server or cluster to the LUN.

To connect to a target, a server in the storage area network (SAN) uses an iSCSI initiator. An iSCSI initiator is a logical entity that enables the server to communicate with the target. The iSCSI initiator first logs on to the target, and only after access is granted by the target, the server can start reading and writing to LUNs assigned to that target. Each iSCSI initiator can have one or more network adapters through which communication is established.

As with Fibre Channel environments, you only need to identify the server or cluster that will access the LUN, and Storage Manager for SANs automatically discovers the iSCSI initiators on that server or cluster, and lists all the available adapters for those initiators. After the iSCSI initiator adapters have been discovered, you can select which adapters will be used for LUN traffic.

For more information, see Microsoft Storage Technologies - iSCSI at the Microsoft Web site.

Types of LUNs

Storage Manager for SANs supports the following types of LUNs.

LUN type | Description
Simple | Simple LUNs use only one physical drive or one portion of a physical drive. This is the most basic type of LUN.
Spanned | Spanned LUNS are simple LUNs that span multiple physical drives.
Striped | Striped LUNs write data across multiple physical drives. Data is divided into blocks and spread among all the drives. Since striping writes data to all disks at the same rate, it provides increased I/O performance by distributing I/O requests across disks. Striped LUNs cannot be extended or mirrored, and do not offer fault tolerance. If one of the disks containing a striped LUN fails, the entire LUN fails. Select this type of LUN when improved I/O performance is required.
Mirrored | Mirrored LUNs are fault-tolerant LUNs that provide data redundancy by creating identical copies of the LUN on two physical drives. All read and write operations happen concurrently on both drives. If one of the physical disks fails, the data on the failed disk becomes unavailable, but the LUN continues to be available using the unaffected disk. Select this type of LUN when fault tolerance is required.
Striped with parity | Striped LUNs with parity are fault-tolerant LUNs with data and parity spread intermittently across three or more physical disks. If a portion of a physical disk fails, the data that was on the failed portion is recreated from the remaining data and parity information. This type of LUN provides better read performance than a mirrored LUN, but write performance is reduced by the parity calculation. Select this type of LUN when fault tolerance is required and improved read performance is desired.

LUNs, partitions and volumes

A LUN is a logical reference to a portion of a storage subsystem. A LUN can comprise a disk, a section of a disk, a whole disk array, or a section of a disk array in the subsystem. This logical reference, when it is assigned to a server in your SAN, acts as a physical disk drive that the server can read and write to. Using LUNs simplifies the management of storage resources in your SAN, because they serve as logical identifiers through which you can assign access and control privileges.

After a LUN has been assigned to a server, you can create one or more partitions on that LUN. Partitions define how much physical space is allocated for storage. For the operating system to start writing and reading data on partitions, you need to create volumes by formatting the partitions using a file system. Volumes define how much logical space is allocated for storage. They can expand over more than one partition.

See Also

  • Manage Server Connections


Checklist: Prepare and Create a LUN

Step | Reference
Review the basic logical unit number (LUN) management concepts. | Overview of Storage Manager for SANs
Verify that all the storage subsystems in your storage area network (SAN) have been discovered. | Manage Subsystems
Configure the Fibre Channel and iSCSI connections of the servers to which your LUNs will be assigned. | Manage Server Connections
If you are going to create a LUN for an iSCSI subsystem, first create, configure and log on to the iSCSI targets in the subsystem. | Manage iSCSI Targets
If you are going to enable a server or cluster to access a LUN through multiple Fibre Channel ports or iSCSI initiator adapters, ensure that the server or cluster supports Multipath I/O (MPIO). | Support for Multipath I/O (MPIO)
To create a LUN, use the Create LUN Wizard. | Create a LUN


Manage Server Connections

With Storage Manager for SANs, you can configure the connections that servers in your SAN will use to access the LUNs that you create on your storage subsystems. Before you assign a LUN to a server or to a cluster, you must first configure the connections on each server that will access the LUN.

The configuration of Fibre Channel connections is different from that of iSCSI connections. This section explains those differences, lists the steps to create each type of connection, offers information about enabling more than one connection from a server or cluster to a LUN (Multipath I/O), and explains how to provide storage for server clusters.

In this section

  • Add and Configure a Server with Fibre Channel Connections

  • Add and Configure a Server with iSCSI Connections

  • Define a Server Cluster in Storage Manager for SANs

  • Support for Multipath I/O (MPIO)


Add and Configure a Server with Fibre Channel Connections

Logical unit numbers (LUNs) created on Fibre Channel storage subsystems are assigned directly to servers with Fibre Channel connections on the SAN. To configure the Fibre Channel connections, you only need to identify the server that will access the LUN, and then select which ports on that server will be enabled for LUN access.

Storage Manager for SANs automatically discovers Fibre Channel ports on a server. You can also add ports manually by entering their World Wide Name (WWN).

To add and configure a server with Fibre Channel connections

  1. In LUN Management, click Manage Server Connections.

  2. In the Manage Server Connections dialog box, click Add.

  3. In the Add Server dialog box, type the name or browse to the server that you want to add and optionally, type a description for it.

  4. Click OK. The server will now be listed in the Manage Server Connections dialog box, with all the ports that were automatically discovered on it listed on the Fibre Channel Ports tab.

  5. To add a Fibre Channel port manually:

    1. On the Fibre Channel Ports tab, click Add and enter the WWN of the new port.

    2. Optionally, type a description for the new port.

    3. Click OK.

  6. To enable Fibre Channel ports for LUN access:

    1. Select a server from the server list.

    2. On the Fibre Channel Ports tab, select all the ports that you want to enable on the selected server.

    Caution

    If you enable more than one Fibre Channel port and the server is not configured to use Multipath I/O, data corruption may occur. For more information about Multipath I/O, see Support for Multipath I/O (MPIO).

  7. Click OK when you are done configuring the Fibre Channel connections.

See Also

  • Create a LUN
  • Assign a LUN


Add and Configure a Server with iSCSI Connections

Unlike in a Fibre Channel environment, logical unit numbers (LUNs) created on an iSCSI disk storage subsystem are not directly assigned to a server. For iSCSI, LUNs are assigned to logical entities called targets. Servers that require access to a LUN have to connect to the target to which the LUN is assigned. To connect to a target, a server in the storage area network (SAN) uses an iSCSI initiator.

Note

In most cases, you can create and manage targets yourself. However, some iSCSI storage subsystems only support simple target configurations, where targets are automatically created when you create a LUN. With simple target configurations, you also cannot delete a target or manually assign LUNs to it. LUNs are automatically assigned when they are created. For this type of subsystem, you just need to identify the server or cluster that will access the LUN, and the iSCSI subsystem will enable access from that server or cluster to the LUN.

To configure the iSCSI connections, you first need to identify the server that will access the LUN and then select which iSCSI initiator adapters will be used for LUN access. iSCSI initiator adapters on a server are automatically discovered by Storage Manager for SANs.

To add and configure a server with iSCSI connections

  1. In LUN Management, click Manage Server Connections.

  2. In the Manage Server Connections dialog box, click Add.

  3. In the Add Server dialog box, type the name or browse to the server that you want to add and optionally, type a description for it.

  4. Click OK. The server will now be listed in the Manage Server Connections dialog box, with all the initiator adapters that were automatically discovered on it listed on the iSCSI Initiator Adapters tab.

  5. To enable iSCSI initiator adapters for LUN access:

    1. Select a server from the server list.

    2. On the iSCSI Initiator Adapters tab, select all the initiator adapters that you want to enable on the selected server.

    Caution

    If you enable more than one iSCSI initiator adapter and the server is not configured to use Multipath I/O, data corruption can occur. For more information about Multipath I/O, see Support for Multipath I/O (MPIO).

  6. Click OK when you are done configuring the iSCSI connections.

    Note

    Optionally, you can change the iSCSI initiator name, by typing a new name for it in the text box provided on the iSCSI Initiator Adapters tab.

See Also

  • Create a LUN
  • Assign a LUN
  • Manage iSCSI Targets


Define a Server Cluster in Storage Manager for SANs

With Storage Manager for SANs, you can provide logical unit number (LUN) access to a group of servers (a server cluster) in your storage area network (SAN). Server clusters are created by defining them in Storage Manager for SANs and by enabling clustering services on each individual server in the cluster.

Caution

To prevent data loss, make sure that each server is a member of only one cluster and that clustering services are running on all cluster nodes. For more information about clustering services, see Clustering Services at the Microsoft Web site.

After server clusters are created, you can assign LUNs to them in the same way you assign LUNs to individual servers.

To define a server cluster in Storage Manager for SANs

  1. In LUN Management, click Manage Server Connections.

  2. In the Manage Server Connections dialog box, click Manage Clusters.

  3. In the Manage Clusters dialog box, click Add.

  4. In the Add New Cluster dialog box, type a name for the cluster and optionally, type a general description that will help you identify the cluster.

  5. From the server list, select all the servers that you want to include in the new cluster.

    Note

    To add servers to a cluster you must first add them to the server list in Manage Server Connections. For more information see Manage Server Connections.

  6. Click OK to create the new cluster.

  7. Click OK again, to go back to the Manage Server Connections dialog box.

The new cluster will now be listed in the Manage Server Connections dialog box. To configure the connections of the cluster, configure the Fibre Channel ports or iSCSI initiator adapters of each individual server included in the cluster by selecting the server from the list. All configuration changes you do on individual servers will take effect on the cluster.

Caution

If you are going to enable more than one connection (Fibre Channel ports and/or iSCSI initiator adapters) on a server in the cluster, and that server is not configured to use Multipath I/O, data corruption can occur. For more information about Multipath I/O, see Support for Multipath I/O (MPIO).

See Also

  • Assign a LUN


Support for Multipath I/O (MPIO)

Multipathing increases availability by providing multiple paths (path failover) from a server or cluster to a storage subsystem.

If a server in your storage area network (SAN) supports Microsoft Multipath I/O (MPIO), you can enable more than one read/write path to a logical unit number (LUN) by assigning multiple Fibre Channel ports or multiple iSCSI initiator adapters on that server to the same LUN. The same is true when accessing the LUN from a cluster.

Caution

To prevent data loss, ensure that the server or cluster supports MPIO before enabling access through multiple paths to the same LUN. If the server or cluster does not support MPIO, or if you are not sure, assign only a single Fibre Channel port or iSCSI initiator adapter to each LUN.

For more information, see Microsoft Storage Technologies - Multipath I/O at the Microsoft Web site.


Manage LUNs

Storage Manager for SANs helps you create and manage logical unit numbers (LUNs) on Fibre Channel and iSCSI disk drive subsystems in your storage area network (SAN).

The LUN Management node lists all the LUNs created with Storage Manager for SANs and enables you to create new LUNs, extend the size of a LUN, assign and unassign LUNs, and delete LUNs.

In this section

Create a LUN

Extend a LUN

Delete a LUN

Assign a LUN


Create a LUN

Storage Manager for SANs includes the Create LUN Wizard, which can help you create logical unit numbers (LUNs).

Note

If you want to use the Create LUN Wizard to assign the LUN that you create to a server or cluster, you must first configure the storage area network (SAN) server connections by using the instructions in Manage Server Connections.

Note

If the LUN that you are creating is on an iSCSI subsystem and you want to use the Create LUN Wizard to assign that LUN to an iSCSI target, you must first configure the iSCSI targets in your SAN by using the instructions in Manage iSCSI Targets.

To create a LUN

  1. In LUN Management, click Create LUN.

  2. Follow the steps in the Create LUN Wizard pages:

    Wizard Page Details

    Before You Begin

    Before you create a LUN, verify that the following steps have been completed:

    • At least one subsystem is listed in the Subsystems node.

    • Storage space is available on at least one of the available subsystems.

    • If you want to use the wizard to assign the LUN to a server, the SAN server connections have been configured.

    Subsystem and Type

    Select the subsystem on which to create the LUN and specify the type of LUN to create:

    • Fault tolerant LUN types require more disk space than simple LUNs. Therefore, the maximum size of the LUN is smaller than for a simple LUN.

    • For more information about the different LUN types, see Overview of Storage Manager for SANs.

    Size and Name

    Type a name for the new LUN and specify the size of the LUN:

    • The LUN name can have as many as 63 characters.

    • Depending on the version of the Virtual Disk Service (VDS) provider that the subsystem is running, you may not be able to type a name for the LUN.

    • Click the drop-down list to select between megabytes (MB), gigabytes (GB) and terabytes (TB).

    Target Access (iSCSI only)

    If iSCSI targets have already been created on the subsystem, you can assign the LUN to one of those targets now. You can also leave it unassigned for later use.

    Server Access

    If you have already configured your server connections, you can assign the LUN to a server or cluster now. You can also leave it unassigned for later use.

    Note

    If you are creating a LUN on an iSCSI subsystem, then this LUN must also be assigned to an iSCSI target. The server or cluster you select on the Server Access page will only have access to the LUN after the iSCSI initiator on that server or cluster logs on to the target the LUN has been assigned to.

    Create Volume (Fibre Channel only)

    If on the Server Access page you chose to assign the LUN to the server you are currently managing with the Storage Manager for SANs snap-in, you can create an NTFS volume for the LUN. If you select to format the volume:

    • As a general rule, leave the Allocation unit size option as Default. The allocation unit size is the smallest amount of disk space that can be allocated to hold a file. Windows picks default sizes based on the size of the volume. These default sizes are selected to reduce the amount of space that is lost and the amount of fragmentation on the volume.

    • The Quick Format option speeds the volume creation process on large LUNs. If you want to scan for bad sectors during the formatting process, unselect this option and a full file format will be done.

    Note

    If you prefer, you can select not to format the volume and can use Disk Management to format it later. For more information, see Disk Management at the Microsoft Web site.

    Create New LUN

    Before creating the LUN, the wizard lists all the properties you have selected for the new LUN. Click Create LUN to start the LUN creation process.

    Note

    Depending on the properties you selected, especially those related to the LUN size and the volume creation options, the LUN creation process may take some time to complete.


Extend a LUN

If there is storage space available in the subsystems where a logical unit number (LUN) was created, you can extend the size of that LUN.

Important

Extending a LUN does not automatically extend its file system partition. You must use Disk Manager or a similar tool to extend the file system partition from the server that has access to the LUN.

To extend a LUN

  1. In the console tree, click LUN Management.

  2. In the results pane, select the LUN you want to extend.

  3. In the action pane, click Extend LUN.

  4. In the Extend LUN dialog box, type the new size for the LUN and select the units in megabytes (MB), gigabytes (GB) or terabytes (TB).

  5. To extend the LUN, click OK.

See Also

  • Manage Subsystems


Delete a LUN

Caution

Deleting a logical unit number (LUN) permanently deletes all data on all volumes on the LUN. This operation cannot be undone. Make sure that you have shut down all applications that access the LUN.

To delete a LUN

  1. In the console tree, click LUN Management.

  2. In the results pane, select the LUN you want to delete.

  3. In the action pane, click Delete LUN.

  4. Select Check here if you want to delete this LUN, and then click OK.

See Also

  • Manage LUNs


Assign a LUN

Caution

If two or more Fibre Channel ports or iSCSI initiator adapters have been enabled on the servers or clusters to which the logical unit number (LUN) will be assigned, and the servers or clusters are not configured to use Multipath I/O, data corruption can occur. For more information about Multipath I/O, see Support for Multipath I/O (MPIO).

To assign a LUN

  1. In the console tree, click LUN Management.

  2. In the results pane, select the LUN you want to assign.

  3. In the action pane, click Assign LUN.

  4. Follow the steps in the Assign LUN Wizard pages:

    Wizard Page Details

    Target Access (iSCSI only)

    If iSCSI targets have already been created on the subsystem, you can assign the LUN to one of those targets now. You can also leave it unassigned for later use.

    Server Access

    If you have already configured your server connections, you can assign the LUN to a server or cluster now. You can also leave it unassigned for later use.

    Note

    If you are creating a LUN on an iSCSI subsystem, then this LUN must also be assigned to an iSCSI target. The server or cluster you select on the Server Access page will only have access to the LUN after the iSCSI initiator on that server or cluster logs on to the target the LUN has been assigned to.

    Assign LUN

    Before assigning the LUN, the wizard lists any current assignments for that LUN and confirms the new assignment. To accept the new assignment and close the wizard, click Assign LUN.

    Note

    If a current LUN assignment exists, it will be lost when the new assignment takes place.

See Also

  • Manage LUNs


Manage iSCSI Targets

Logical unit numbers (LUNs) created on an iSCSI disk storage subsystem are not directly assigned to a server. For iSCSI, LUNs are assigned to logical entities called targets.

Targets are created in order to manage the connections between an iSCSI device and the servers that need to access it. A target defines the portals (IP addresses) that can be used to connect to the iSCSI device, as well as the security settings (if any) that the iSCSI device requires in order to authenticate the servers that are requesting access to its resources.

Servers that require access to a LUN have to connect to the target to which the LUN is assigned. To connect to a target, a server in the storage area network (SAN) uses an iSCSI initiator. An iSCSI initiator is a logical entity that enables the server to communicate with the target. The iSCSI initiator first logs on to the target. The target must grant access before the server can start reading and writing to all LUNs that are assigned to that target.

With Storage Manager for SANs, you can create targets for the iSCSI subsystems in your SAN, configure the security settings for these targets, and start logon sessions with them.

Note

In most cases, you can create and manage targets yourself. However, some iSCSI storage subsystems only support simple target configurations, where targets are automatically created when you create a LUN. With simple target configurations, you also cannot delete a target or manually assign LUNs to it. LUNs are automatically assigned when they are created. For this type of subsystem, you just need to identify the server or cluster that will access the LUN, and the iSCSI subsystem will enable access from that server or cluster to the LUN.

Note

For more information, see Microsoft Storage Technologies - iSCSI at the Microsoft Web site.

In this section

Create an iSCSI Target

Remove an iSCSI Target

Manage iSCSI Security

Log On to iSCSI Targets


Create an iSCSI Target

Targets are created in order to manage the connections between the iSCSI storage subsystems in your storage area network (SAN) and the servers that need to access them. You assign logical unit numbers (LUNs) to a target, and all servers that log on to that target will have access to the LUNs assigned to it.

Note

In most cases, you can create and manage targets yourself. However, some iSCSI storage subsystems only support simple target configurations, where targets are automatically created when you create a LUN. With simple target configurations, you also cannot delete a target or manually assign LUNs to it. LUNs are automatically assigned when they are created. For this type of subsystem, you just need to identify the server or cluster that will access the LUN, and the iSCSI subsystem will enable access from that server or cluster to the LUN.

After iSCSI targets have been created, you must configure the iSCSI security settings for each of them. For more information about iSCSI security, see Manage iSCSI Security.

To create an iSCSI target

  1. In LUN Management, click Manage iSCSI targets.

  2. In the Manage iSCSI Targets dialog box, in Select a subsystem to manage, select the subsystem you want to create the target for, and then click Add.

  3. In the Add Target dialog box, in Target Friendly Name, type a descriptive name for the target that will help you to distinguish it from other targets.

  4. In Select portals to enable for this target, select the check box next to each IP address that the target should use, and then click OK.

See Also

  • Manage iSCSI Security


Remove an iSCSI Target

Caution

When you remove a target, all initiators currently logged on to that target will no longer be able to access the LUNs that are assigned to that target. This action cannot be undone.

To remove an iSCSI target

  1. In LUN Management, click Manage iSCSI Targets.

  2. In the Manage iSCSI Targets dialog box, in Select a subsystem to manage, select the subsystem for which the target you want to remove was created.

  3. In Targets available on this subsystem, select the target you want to remove, and then click Remove.

  4. In the Remove Target dialog box, select Check here if you want to remove this target, and then click OK to remove the target.

See Also

  • Manage iSCSI Targets


Manage iSCSI Security

There are several levels of iSCSI security available with Storage Manager for SANs. The basic level is based on the Challenge Handshake Authentication Protocol (CHAP). CHAP is a protocol that is used to authenticate the peer of a connection and is based upon the peers sharing a secret (a security key that is similar to a password). IP security (IPsec) is a protocol that enforces authentication and data encryption at the IP packet layer, which provides an added level of security.

You must choose the security level that best fits the security policies of your organization:

  • One-way CHAP authentication. With this level of security, only the target authenticates the initiator. The secret is set just for the target and all initiators that want to access that target need to use the same secret to start a logon session with the target.

  • Mutual CHAP authentication. With this level of security, the target and the initiator authenticate each other. A separate secret is set for each target and for each initiator in the storage area network (SAN).

  • IPsec. With this level of security, all IP packets sent during data transfers are encrypted and authenticated. A common key is set on all IP portals, allowing all peers to authenticate each other and negotiate packet encryption. For more information, see IPsec at the Microsoft Web site.

Caution

At a minimum, use one-way CHAP authentication between iSCSI initiators and targets.

Note

The level of security that you can set for a storage subsystem depends on the hardware manufacturer. Not all subsystems support all levels of iSCSI security. You should contact your hardware manufacturer to verify what level of security is supported.

Note

For more information about iSCSI security and to learn more about iSCSI in general, see Microsoft Storage Technologies - iSCSI at the Microsoft Web site.

To manage iSCSI security

  1. In LUN Management, click Manage iSCSI Security.

  2. To configure one-way CHAP authentication, in the Manage iSCSI Security dialog box, configure the following settings on the Targets tab:

    1. If you want to configure different CHAP secrets for different targets, in the list of targets, select a target that you want to set the CHAP secret for, and click Set Secret.

      -Or-

      To use the same CHAP secret for a group of targets, select the targets from the list and click Set Secret.

    2. In the Set Secret dialog box, type and confirm the target CHAP secret.

    3. Optionally, select Remember secret on local initiator if you want to automatically pass the new secret to the local initiator.

    4. To set the new secret, click OK.

  3. To configure mutual CHAP authentication, you must first configure one-way CHAP authentication by following step 2. Then, enter the following configuration on the Local Initiator tab:

    1. Type and confirm the CHAP secret for the local initiator.

    2. Under mutual CHAP authentication, the initiator will only be able to log on to targets that know the initiator secret. To share the initiator secret with the targets that the server needs to access, in the list of targets, select each target that you want to authenticate on the initiator.

    3. To set the new secret for the local initiator and to share it with the selected targets, click Apply Secret.

  4. To configure IPsec, in the Manage iSCSI Security dialog box, configure the following settings on the Portals tab:

    1. If you want to use different IPsec keys for different portals, in the list of portals, select a portal and click Set IPsec Key.

      -Or-

      To use the same IPsec key for a group of portals, select the portals from the list, and click Set IPsec Key.

    2. In the Set IPsec Key dialog box, type and confirm a new IPsec key.

    3. Optionally, select Remember the IPsec key on local initiator if you want to automatically pass the new key to the local initiator.

    4. To set the new IPsec key, click OK.

  5. When you are done configuring iSCSI security, click OK.

See Also

  • Log On to iSCSI Targets


Log On to iSCSI Targets

You can log on to iSCSI targets using Storage Manager for SANs. This starts a logon session only between the server that is running Storage Manager for SANs and the selected target. Each server that requires access to the logical unit numbers (LUNs) that are assigned to a target must start a separate logon session with that target.

Note

If you have not yet configured iSCSI security for initiators and targets, you will not be able to log on to a target. For more information about iSCSI security, see Manage iSCSI Security.

Note

You can also start a logon session between a server in your storage area network (SAN) and a target, using the local iSCSI initiator interface, if available (this depends on the iSCSI initiator software that is installed on that server).

To log on to iSCSI targets

  1. In LUN Management, click Log On to iSCSI Targets.

  2. In the Log On to iSCSI Targets dialog box, select the target that you want to establish a logon session with, and click Log On.

  3. In the Log On to Target dialog box, select the type of Challenge Handshake Authentication Protocol (CHAP) authentication to use for the logon session:

    • Log on using one-way CHAP authentication

    • Log on using mutual CHAP authentication

  4. To establish the logon session, click OK.

See Also

  • Manage iSCSI Security


Manage Subsystems

Storage subsystems are automatically discovered using the Virtual Disk Service (VDS). Only those subsystems in your storage area network (SAN) that support VDS can be administered using Storage Manager for SANs.

Note

For more information about VDS, see Virtual Disk Service Technical Reference.

The Subsystems node lists all the storage subsystems currently discovered in your SAN and allows you to change the subsystem name that was returned by VDS.

In this section

Rename a Subsystem


Rename a Subsystem

Note

Depending on the version of the Virtual Disk Service (VDS) provider that the storage subsystem is running, you may not be able to change the subsystem name.

To rename a subsystem

  1. In the console tree, click Subsystems.

  2. In the results pane, select the subsystem you want to rename.

  3. In the action pane, click Rename Subsystem.

  4. In the Rename Subsystem dialog box, type a new name for the subsystem, and then click OK.

See Also

  • Manage Subsystems


Manage Drives

The Drives node lists all the drives in the subsystems that are discovered in your storage area network (SAN). To help identify the drives you are working with, you can make the light on a drive blink.

Note

The ability to make the drive light blink depends on your hardware.

In this section

Make a Drive Light Blink


Make a Drive Light Blink

Note

The ability to make a drive light blink depends on your hardware. If your storage subsystem does not support this feature, the Blink Drive Light action will not be available.

To make a drive light blink

  1. In the console tree, click Drives.

  2. In the results pane, click the drive whose light you want to blink.

  3. In the action pane, click Blink Drive Light.

  4. In the Blink Drive LED dialog box, click Start.

See Also

  • Manage Drives


DiskRAID

DiskRAID is a command-line tool that enables you to configure and manage redundant array of independent (or inexpensive) disks (RAID) storage subsystems.

RAID is a method used to standardize and categorize fault-tolerant disk systems. RAID levels provide various mixes of performance, reliability, and cost. RAID is usually used on servers. Some servers provide three of the RAID levels: Level 0 (striping), Level 1 (mirroring), and Level 5 (striping with parity).

A hardware RAID subsystem distinguishes physically addressable storage units from one another by using a Logical Unit Number (LUN). A LUN object must have at least one plex, and can have any number of additional plexes. Each plex contains a copy of the data on the LUN object. Plexes can be added to and removed from a LUN object.

Most DiskRAID commands operate on a specific host bus adapter (HBA) port, initiator adapter, initiator portal, provider, subsystem, controller, port, drive, LUN, target portal, target, or target portal group. You use the SELECT command to select an object. The selected object is said to have focus. Focus simplifies common configuration tasks, such as creating multiple LUNs within the same subsystem.

Windows Server 2003 operating systems include the Virtual Disk Service (VDS), which is a set of application programming interfaces (APIs) that provides a single interface for managing storage. Each hardware vendor writes a VDS hardware provider that translates the general-purpose VDS APIs into specific instructions for their hardware. With this abstraction layer provided by VDS, Windows Server 2003 simplifies storage management, because storage applications no longer need to take into account the specific hardware being targeted. Instead, you can use compatible storage applications, such as DiskRAID, to manage any hardware that has a VDS provider.

Requirements

Before you can use DiskRAID to manage your storage subsystems, you must:

  • Have a computer running one of the Windows Server 2003 operating systems with Service Pack 1 (SP1) and Windows Server 2003 R2 installed.

  • Be a member of the Backup Operators group or Administrators group on the local computer.

  • Have at least one registered VDS hardware provider on your computer.

DiskRAID commands

To view the command syntax, click a command:

  • add

  • associate

  • automagic

  • break

  • chap

  • create

  • delete

  • detail

  • dissociate

  • exit

  • extend

  • flushcache

  • help

  • importtarget

  • initiator

  • invalidatecache

  • ipsec

  • lbpolicy

  • list

  • login

  • logout

  • maintenance

  • name

  • offline

  • online

  • recover

  • reenumerate

  • refresh

  • rem

  • remove

  • replace

  • reset

  • select

  • setflag

  • standby

  • unmask

add

Adds an existing LUN to the currently selected LUN, or adds an iSCSI target portal to the currently selected iSCSI target portal group.
Syntax

add plex lun=n [noerr]

add tpgroup tportal= n [noerr]

Parameters

plex lun=n

Specifies the LUN number to add as a plex to the currently selected LUN.

Caution

All data on the LUN being added as a plex will be deleted.

tpgroup tportal= n

Specifies the iSCSI target portal number to add to the currently selected iSCSI target portal group.

noerr

Specifies that any failures that occur while performing this operation will be ignored. This is useful in script mode.

associate

Sets the specified list of controller ports as active for the currently selected LUN (other controller ports are made inactive), or adds the specified controller ports to the list of existing active controller ports for the currently selected LUN, or associates the specified iSCSI target for the currently selected LUN.
Syntax

associate controllers [add] n[,n [,…]]

associate ports [add] n-m[,n-m[,…]]

associate targets [add] n[,n [,…]]

Parameters

controllers

For use with VDS 1.0 providers only. Adds to or replaces the list of controllers that are associated with the currently selected LUN.

ports

For use with VDS 1.1 providers only. Adds to or replaces the list of controller ports that are associated with the currently selected LUN.

targets

For use with VDS 1.1 providers only. Adds to or replaces the list of iSCSI targets that are associated with the currently selected LUN.

add

For VDS 1.0 providers, adds the specified controllers to the existing list of controllers associated with the LUN. If this parameter is not specified, the list of controllers replaces the existing list of controllers associated with this LUN.

For VDS 1.1 providers, adds the specified controller ports to the existing list of controller ports associated with the LUN. If this parameter is not specified, the list of controller ports replaces the existing list of controller ports associated with this LUN.

n [, n [, ...]]

For use with the controllers or targets parameter. Specifies the numbers of the controllers or iSCSI targets to set to active or associate.

n - m [, n - m [,…]]

For use with the ports parameter. Specifies the controller ports to set active using a controller number (n) and port number (m) pair.

Example

The following example shows how to associate and add ports to a LUN that uses a VDS 1.1 provider.

automagic

Sets or clears flags that give hints to providers on how to configure a LUN. Used with no parameters, the automagic operation displays a list of flags.
Syntax

automagic {set | clear | apply} all flag=value [flag=value [...]]

Parameters

set

Sets the specified flags to the specified values.

clear

Clears the specified flags. The all keyword clears all the automagic flags.

apply

Applies the current flags to the selected LUN.

flag

Flags are identified by three-letter acronyms.

Flag | Description
FCR | Fast Crash Recovery Required
FTL | Fault Tolerant
MSR | Mostly Reads
MXD | Maximum Drives 0
MXS | Maximum Size Expected 0B
ORA | Optimal Read Alignment0B
ORS | Optimal Read Size 0B
OSR | Optimize For Sequential Reads-
OSW | Optimize For Sequential Writes
OWA | Optimal Write Alignment 0B
OWS | Optimal Write Size0B
RBP | Rebuild Priority 0
RBV | Read Back Verify Enabled
RMP | Remap Enabled
STS | Stripe Size0
WTC | Write-Through Caching Enabled
YNK | Removable

break

Removes the plex from the currently selected LUN. The plex and the data it contained are not retained, and the drive extents may be reclaimed.
Syntax

break plex=plex_number [noerr]

Parameters

plex

Specifies the number of the plex to remove. The plex and the data it contained will not be retained, and the resources used by this plex will be reclaimed. The data contained on the LUN is not guaranteed to be consistent. If you want to retain this plex, use the Volume Shadow Copy Service (VSS).

noerr

Specifies that any failures that occur while performing this operation will be ignored. This is useful in script mode.

Remarks
Note

You must first select a mirrored LUN before using the break command.

Caution

All data on the plex will be deleted.

Caution

All data contained on the original LUN is not guaranteed to be consistent.

chap

Sets the Challenge Handshake Authentication Protocol (CHAP) shared secret so that iSCSI initiators and iSCSI targets can communicate with one another.
Syntax

chap initiator set secret=[secret] [target=target]

chap initiator remember secret=[secret] target=target

chap target set secret=[secret] [initiator=initiatorname]

chap target remember secret=[secret] initiator=initiatorname

Parameters

initiator set

Sets the shared secret in the local iSCSI initiator service used for mutual CHAP authentication when the initiator authenticates the target.

initiator remember

Communicates the CHAP secret of an iSCSI target to the local iSCSI initiator service so that the initiator service can use the secret in order to authenticate itself to the target during CHAP authentication.

target set

Sets the shared secret in the currently selected iSCSI target used for CHAP authentication when the target authenticates the initiator.

target remember

Communicates the CHAP secret of an iSCSI initiator to the current in-focus iSCSI target so that the target can use the secret in order to authenticate itself to the initiator during mutual CHAP authentication.

secret

Specifies the secret to use. If empty the secret will be cleared.

target

Specifies a target in the currently selected subsystem to associate with the secret. This is optional when setting a secret on the initiator and leaving it out indicates that the secret will be used for all targets that do not already have an associated secret.

initiatorname

Specifies an initiator iSCSI name to associate with the secret. This is optional when setting a secret on a target and leaving it out indicates that the secret will be used for all initiators that do not already have an associated secret.

create

Creates a new LUN or iSCSI target on the currently selected subsystem, or creates a target portal group on the currently selected target. You can view the actual binding using the DiskRAID list command.
Syntax

create lun simple [size=n] [drives=n] [noerr]

create lun stripe [size=n] [drives=n, n [,...]] [stripesize=n] [noerr]

create lun raid [size=n] [drives=n, n [,...]] [stripesize=n] [noerr]

create lun mirror [size=n] [drives=n, n [,...]] [stripesize=n] [noerr]

create lun automagic size= n [noerr]

create target name= name [iscsiname=iscsiname] [noerr]

create tpgroup [noerr]

Parameter

simple

Creates a simple LUN.

stripe

Creates a striped LUN.

RAID

Creates a striped LUN with parity.

mirror

Creates a mirrored LUN.

automagic

Creates a LUN using the automagic hints currently in effect. See the automagic sub-command for more information.

size=

Specifies the total LUN size in megabytes. If the size= parameter is not specified, the LUN created will be the largest possible size allowed by all the specified drives.

A provider typically creates a LUN at least as big as the requested size, but the provider may have to round up to the next largest size in some cases. For example, if size is specified as .99 GB and the provider can only allocate GB disk extents, the resulting LUN would be 1 GB.

To specify the size using other units, use one of the following recognized suffixes immediately after the size:

drives=

Specifies the drive_number for the drives to use to create a LUN. If the size= parameter is not specified, the LUN created is the largest possible size allowed by all the specified drives. If the size= parameter is specified, providers will select drives from the specified drive list to create the LUN. Providers will attempt to use the drives in the order specified when possible.

stripesize=

Specifies the size in megabytes for a stripe or RAID LUN. The stripesize cannot be changed after the LUN is created.

To specify the size using other units, use one of the following recognized suffixes immediately after the size:

target

Creates a new iSCSI target on the currently selected subsystem.

name

Supplies the friendly name for the target.

iscsiname

Supplies the iSCSI name for the target and can be omitted to have the provider generate a name.

tpgroup

Creates a new iSCSI target portal group on the currently selected target.

noerr

Specifies that any failures that occur while performing this operation will be ignored. This is useful in script mode.

Remarks

delete

Deletes the currently selected LUN, iSCSI target (as long as there are not any LUNs associated with the iSCSI target) or iSCSI target portal group.
Syntax

delete lun [noerr]

delete target [noerr]

delete tpgroup [noerr]

Parameters

lun

Deletes the currently selected LUN and all data on it.

target

Deletes the currently selected iSCSI target if no LUNs are associated with the target.

tpgroup

Deletes the currently selected iSCSI target portal group.

noerr

Specifies that any failures that occur while performing this operation will be ignored. This is useful in script mode.

detail

Displays detailed information about the currently selected object of the specified type.
Syntax

Detail {hbaport | iadapter | iportal | provider | subsystem | controller | port | drive | lun | tportal | target | tpgroup} [verbose]

Parameters

hbaport

Lists detailed information about the currently selected host bus adapter (HBA) port.

iadapter

Lists detailed information about the currently selected iSCSI initiator adapter.

iportal

Lists detailed information about the currently selected iSCSI initiator portal.

provider

Lists detailed information about the currently selected provider.

subsystem

Lists detailed information about the currently selected subsystem.

controller

Lists detailed information about the currently selected controller.

port

Lists detailed information about the currently selected controller port.

drive

Lists detailed information about the currently selected drive, including the occupying LUNs.

lun

Lists detailed information about the currently selected LUN, including the contributing drives. The output differs slightly depending on whether the LUN is part of a Fibre Channel or iSCSI subsystem.

tportal

Lists detailed information about the currently selected iSCSI target portal.

target

Lists detailed information about the currently selected iSCSI target.

tpgroup

Lists detailed information about the currently selected iSCSI target portal group.

verbose

For use only with the LUN parameter. Lists additional information, including its plexes.

dissociate

Sets specified list of controller ports as inactive for the currently selected LUN (other controller ports are not affected), or dissociates the specified list of iSCSI targets for the currently selected LUN.
Syntax

dissociate controllers n[,n[,...]]

dissociate ports n - m[,n-m[,…]]

dissociate targets n[,n[,…]]

Parameter

controllers

For use with VDS 1.0 providers only. Removes controllers from the list of controllers that are associated with the currently selected LUN.

ports

For use with VDS 1.1 providers only. Removes controller ports from the list of controller ports that are associated with the currently selected LUN.

targets

For use with VDS 1.1 providers only. Removes targets from the list of iSCSI targets that are associated with the currently selected LUN.

n[,n[,…]]

For use with the controllers or targets parameter. Specifies the numbers of the controllers or iSCSI targets to set as inactive or dissociate.

n - m[,n-m[,…]]

For use with the ports parameter. Specifies the controller ports to set as inactive by using a controller number (n) and port number (m) pair.

Example

exit

Exits DiskRAID.
Syntax

exit

extend

Extends the currently selected LUN by adding sectors to the end of the LUN. Not all providers support extending LUNs. Does not extend any volumes or file systems contained on the LUN. After you extend the LUN, you should extend the associated on-disk structures using the DiskPart extend command.
Syntax

extend lun [size=LUN_size] [drives=drive_number, [drive_number, ...]] [noerr]

Parameters

size=

Specifies the size in megabytes to extend the LUN. If the size= parameter is not specified, the LUN is extended by the largest possible size allowed by all the specified drives. If the size= parameter is specified, providers select drives from the list specified by the drives= parameter to create the LUN.

To specify the size using other units, use one of the following recognized suffixes immediately after the size:

drives=

Specifies the drive_number for the drives to use when creating a LUN. If the size= parameter is not specified, the LUN created is the largest possible size allowed by all the specified drives. Providers use the drives in the order specified when possible.

noerr

Specifies that any failures that occur while performing this operation should be ignored. This is useful in script mode.

Remarks

flushcache

Clears the cache on the currently selected controller.
Syntax

flushcache controller

help

Displays a list of all DiskRAID commands.
Syntax

help

importtarget

Retrieves or sets the current Volume Shadow Copy Service (VSS) import target that is set for the currently selected subsystem.
Syntax

importtarget subsystem [set target]

Parameter

set target

If specified, sets the currently selected target to the VSS import target for the currently selected subsystem. If not specified, the command retrieves the current VSS import target that is set for the currently selected subsystem.

initiator

Retrieves information about the local iSCSI initiator.
Syntax

initiator

invalidatecache

Invalidates the cache on the currently selected controller.
Syntax

invalidatecache controller

ipsec

Lists and configures IPsec information about the currently selected iSCSI initiator portal or iSCSI target portal. Also sets the IPsec configuration of all the initiator portals in the local iSCSI initiator service and sets the group pre-shared key used for IPsec in the iSCSI target portals for the currently selected subsystem.
Syntax

ipsec iportal tportal= tportal

ipsec iportal set key=[key] tportal=tportal [flag [flag […]]]

ipsec iportal set tunnel= tunneladdress destination=destinationaddress

ipsec tportal iportal= iportal

ipsec tportal set key=[key] {initiator | iportal=iportal} [flag [flag […]]]

ipsec tportal set tunnel= tunneladdress destination= destinationaddress

ipsec initiator set groupkey=[groupkey]

ipsec initiator set key=[key] tportal=tportal [flag [flag […]]]

ipsec initiator set tunnel= tunneladdress destination= destinationaddress

ipsec subsystem set groupkey=[key]

Parameters

iportal tportal= tportal

Displays the IPsec configuration of the currently selected initiator portal that is associated with the specified target portal on the currently selected subsystem.

tportal iportal= iportal

Displays the IPsec configuration of the currently selected target portal that is associated with the specified initiator portal on the currently selected initiator adapter.

iportal set

Sets the IPsec configuration of the currently selected initiator portal with either the IPsec key and flags, or the IPsec tunnel address.

tportal set

Sets the IPsec configuration of the currently selected target portal with either the IPsec key and flags, or the IPsec tunnel address.

initiator set

Sets the IPsec configuration of all the initiator portals in the local iSCSI initiator service with the IPsec key and flags, the IPsec tunnel address, or group IPsec key.

subsystem set

Sets the group IPsec key of the target portals in the currently selected subsystem.

key

Specifies the pre-shared key to be used for IPsec. If not specified, the existing key is cleared.

tportal

Specifies the target portal in currently selected subsystem to associate with the key.

iportal

Specifies the initiator portal in the currently selected initiator adapter to associate the key with.

initiator

Associates the key with all initiator portals in the service.

flag

Flags are identified by three letter acronyms:

IKE: Enable IPsec/Internet Key Exchange (IKE)

NMM: Enable IPsec negotiating through main mode

NAM: Enable IPsec negotiating through aggressive mode

PFS: Enable perfect forward secrecy

TRA: Prefer transport mode

TUN: Prefer tunnel mode

tunneladdress

Sets the tunnel mode address for the currently selected initiator portal, currently selected target portal, or all initiator portals in the service. Specifies the outer IP address used to create a connection if tunnel mode is used.

destinationaddress

Specifies the destination address to associate with the tunnel mode address.

groupkey

Specifies the group pre-shared key to be used for IPsec in the local iSCSI initiator service (if initiator set is specified) or the currently subsystem (if subsystem set is specified). If empty the key will be cleared.

lbpolicy

Sets the load balance policy on the currently selected LUN.
Syntax

lbpolicy set lun type= type [paths=path-{primary | weight}[,path-{primary | weight}[,…]]]

lbpolicy set lun paths= path -{primary | weight}[,path-{primary | weight}[,…]]

Parameters

type

Specifies the load balance policy. If the type is not specified, then the path parameter must be specified. Type can be one of the following:

FAILOVER: Uses one primary path with other paths being backup paths.

ROUNDROBIN: Uses all paths in round-robin fashion, which tries each path sequentially.

SUBSETROUNDROBIN: Uses all primary paths in round-robin fashion; backup paths are used only if all primary paths fail.

DYNLQD: Uses the path with the least number of active requests.

WEIGHTED: Uses the path with the least weight (each path must be assigned a weight).

LEASTBLOCKS: Uses the path with the least blocks.

VENDORSPECIFIC: Uses a vendor-specific policy.

paths

Specifies whether a path is primary or has a particular weight. Any paths not specified are implicitly set as backup. Any paths listed must be one of the currently selected LUN’s paths.

list

Displays a list of objects of the specified type.
Syntax

List {hbaports | iadapters | iportals | providers | subsystems | controllers | ports | drives | LUNs | tportals | targets | tpgroups}

Parameters

hbaports

Lists summary information about all HBA ports known to VDS. The currently selected HBA port is marked by an asterisk (*).

iadapters

Lists summary information about all iSCSI initiator adapters known to VDS. The currently selected initiator adapter is marked by an asterisk (*).

iportals

Lists summary information about all iSCSI initiator portals in the currently selected initiator adapter. The currently selected initiator portal is marked by an asterisk (*).

providers

Lists summary information about each provider known to VDS. The currently selected provider is marked by an asterisk (*).

subsystems

Lists summary information about each subsystem in the system. The currently selected subsystem is marked by an asterisk (*).

controllers

Lists summary information about each controller in the currently selected subsystem. The currently selected controller is marked by an asterisk (*).

ports

Lists summary information about each controller port in the currently selected controller. The currently selected port is marked by an asterisk (*).

drives

Lists summary information about each drive in the currently selected subsystem. The currently selected drive is marked by an asterisk (*).

luns

Lists summary information about each LUN in the currently selected subsystem. The currently selected LUN is marked by an asterisk (*).

tportals

Lists summary information about all iSCSI target portals in the currently selected subsystem. The currently selected target portal is marked by an asterisk (*).

targets

Lists summary information about all iSCSI targets in the currently selected subsystem. The currently selected target is marked by an asterisk (*).

tpgroups

Lists outputs summary information about all iSCSI target portal groups in the currently selected target. The currently selected portal group is marked by an asterisk (*).

login

Logs the specified iSCSI initiator adapter into the currently selected iSCSI target.
Syntax

login target iadapter= iadapter [type={manual | persistent | boot}] [chap={none | oneway | mutual}] [iportal=iportal] [tportal=tportal] [flag [flag […]]]

Parameters

type

Specifies the type of login to perform: manual, persistent, or boot. If unspecified, a manual login will be performed.

manual - Login manually.

persistent - Automatically use the same login when the computer is restarted.

boot - This option is for future development and is not currently used.

chap

Specifies the type of CHAP authentication to use: none, oneway CHAP, or mutual CHAP; if unspecified, no authentication will be used.

tportal

Specifies an optional target portal in the currently selected subsystem to use for the log in.

iportal

Specifies an optional initiator portal in the specified initiator adapter to use for the log in.

flag

Identified by three letter acronyms:

IPS: Require IPsec

EMP: Enable multipath

EHD: Enable header digest

EDD: Enable data digest

logout

Logs the specified iSCSI initiator adapter out of the currently selected iSCSI target.
Syntax

logout target iadapter= iadapter

Parameters

iadapter

Specifies the initiator adapter with a login session to logout from.

maintenance

Performs maintenance operations on the currently selected object of the specified type.
Syntax

maintenance object operation [count=iteration]

Parameters

object

Specifies the type of object on which to perform the operation. The object type can be a subsystem, controller, port, drive or LUN.

operation

Specifies the maintenance operation to perform. The operation type can be spinup, spindown, blink, beep or ping. An operation must be specified.

count=

Specifies the number of times to repeat the operation. This is typically used with blink, beep,or ping.

name

Sets the friendly name of the currently selected subsystem, LUN, or iSCSI target to the specified name.
Syntax

name {subsystem | lun | target} [name]

Parameter

name

Specifies a name for the subsystem, LUN, or target. The name must be less than 64 characters in length. If no name is supplied, the existing name, if any, is deleted.

offline

Sets the state of the currently selected object of the specified type to offline.
Syntax

offline object

Parameter

object

Specifies the type of object on which to perform this operation. The object type can be subsystem, controller, drive, LUN, or tportal.

online

Sets the state of the selected object of the specified type to online. If object is hbaport, changes the status of the paths to the currently selected HBA port to online.
Syntax

online object

Parameter

object

Specifies the type of object on which to perform this operation. The object type can be hbaport, subsystem, controller, drive, LUN, or tportal.

recover

Performs operations necessary, such as resynchronization or hot sparing, to repair the currently selected fault-tolerant LUN. For example, RECOVER might cause a hot spare to be bound to a RAID set that has a failed disk or other disk extent reallocation.
Syntax

recover lun

reenumerate

Reenumerates objects of the specified type.
Syntax

reenumerate {subsystems | drives}

Parameters

subsystems

Queries the provider to discover any new subsystems that were added in the currently selected provider.

drives

Queries the internal I/O buses to discover any new drives that were added in the currently selected subsystem.

refresh

Refreshes internal data for the currently selected provider.
Syntax

refresh provider

rem

Used to comment scripts.
Syntax

Rem comment

remove

Removes the specified iSCSI target portal from the currently selected target portal group.
Syntax

remove tpgroup tportal= tportal [noerr]

Parameter

tpgroup tportal= tportal

Specifies the iSCSI target portal to remove.

noerr

Specifies that any failures that occur while performing this operation should be ignored. This is useful in script mode.

replace

Replaces the specified drive with the currently selected drive.
Syntax

replace drive=drive_number

Parameter

drive=

Specifies the drive_number for the drive to be replaced.

Remarks
  • The specified drive may not be the currently selected drive.

reset

Resets the currently selected controller or port.
Syntax

Reset {controller | port}

Parameters

controller

Resets the controller.

port

Resets the port.

select

Displays or changes the currently selected object.
Syntax

Select {hbaport | iadapter | iportal | provider | subsystem | controller | port | drive | lun | tportal | target | tpgroup } [n]

Parameters

object

Specifies the type of object to select. The object type can be provider, subsystem, controller, drive, or LUN.

hbaport [n]

Sets the focus to the specified local HBA port. If no HBA port is specified, the command displays the currently selected HBA port (if any). Specifying an invalid HBA port index results in no in-focus HBA port. Selecting an HBA port deselects any selected initiator adapters and initiator portals.

iadapter [n]

Sets the focus to the specified local iSCSI initiator adapter. If no initiator adapter is specified, the command displays the currently selected initiator adapter (if any). Specifying an invalid initiator adapter index results in no in-focus initiator adapter. Selecting an initiator adapter deselects any selected HBA ports and initiator portals.

iportal [n]

Sets the focus to the specified local iSCSI initiator portal within the selected iSCSI initiator adapter. If no initiator portal is specified, the command displays the currently selected initiator portal (if any). Specifying an invalid initiator portal index results in no selected initiator portal.

provider [n]

Sets the focus to the specified provider. If no provider is specified, the command displays the currently selected provider (if any). Specifying an invalid provider index results in no in-focus provider.

subsystem [n]

Sets the focus to the specified subsystem. If no subsystem is specified, the command displays the subsystem with focus (if any). Specifying an invalid subsystem index results in no in-focus subsystem. Selecting a subsystem implicitly selects its associated provider.

controller [n]

Sets the focus to the specified controller within the currently selected subsystem. If no controller is specified, the command displays the currently selected controller (if any). Specifying an invalid controller index results in no in-focus controller. Selecting a controller deselects any selected controller ports, drives, LUNs, target portals, targets, and target portal groups.

port [n]

Sets the focus to the specified controller port within the currently selected controller. If no port is specified, the command displays the currently selected port (if any). Specifying an invalid port index results in no selected port.

drive [n]

Sets the focus to the specified drive, or physical spindle, within the currently selected subsystem. If no drive is specified, the command displays the currently selected drive (if any). Specifying an invalid drive index results in no in-focus drive. Selecting a drive deselects any selected controllers, controller ports, LUNs, target portals, targets, and target portal groups.

lun [n]

Sets the focus to the specified LUN within the currently selected subsystem. If no LUN is specified, the command displays the currently selected LUN (if any). Specifying an invalid LUN index results in no selected LUN. Selecting a LUN deselects any selected controllers, controller ports, drives, target portals, targets, and target portal groups.

tportal [n]

Sets the focus to the specified iSCSI target portal within the currently selected subsystem. If no target portal is specified, the command displays the currently selected target portal (if any). Specifying an invalid target portal index results in no selected target portal. Selecting a target portal deselects any controllers, controller ports, drives, LUNs, targets, and target portal groups.

target [n]

Sets the focus to the specified iSCSI target within the currently selected subsystem. If no target is specified, the command displays the currently selected target (if any). Specifying an invalid target index results in no selected target. Selecting a target deselects any controllers, controller ports, drives, LUNs, target portals, and target portal groups.

tpgroup [n]

Sets the focus to the specified iSCSI target portal group within the currently selected iSCSI target. If no target portal group is specified, the command displays the currently selected target portal group (if any). Specifying an invalid target portal group index results in no in-focus target portal group.

n

Specifies the object number to select. If the object number specified is not valid, any existing selections for objects of the specified type are cleared. If no object number is specified, the current object is displayed.

setflag

Sets the currently selected drive as a hot spare.
Syntax

setflag drive hotspare={true | false}

Parameters

true

Selects the currently selected drive as a hot spare.

false

Unselects the currently selected drive as a hot spare.

Remarks
  • Hot spares cannot be used for ordinary LUN binding operations. They are reserved for fault handling only. The drive must not be currently bound to any existing LUN.

standby

Changes the status of the paths to the currently selected host bus adapter (HBA) port to STANDBY.
Syntax

standby hbaport

Parameters

hbaport

Changes the status of the paths to the currently selected host bus adapter (HBA) port to STANDBY.

unmask

Makes the currently selected LUNs accessible from the specified hosts.
Syntax

unmask LUN {all | none | [add] wwn=hexadecimal_number [;hexadecimal_number [;…]] | [add] initiator=initiator[;initiator[;…]]} [uninstall]

Parameters

all

Specifies that the LUN should be made accessible from all hosts. However, you cannot unmask the LUN to all targets in an iSCSI subsystem.

none

Specifies that the LUN should not be accessible to any host.

add

Specifies that the hosts specified must be added to the existing list of hosts that this LUN is accessible from. If this parameter is not specified, the list of hosts supplied replaces the existing list of hosts that this LUN is accessible from.

WWN=

Specifies a list of hexadecimal numbers representing world-wide names from which the LUN or hosts should be made accessible. To mask/unmask to a specific set of hosts in a Fibre Channel subsystem, you can type a semicolon-separated list of WWN’s for the ports on the host machines of interest.

initiator=

Specifies a list of iSCSI initiators to which the currently selected LUN should be made accessible. To mask/unmask to a specific set of hosts in an iSCSI subsystem, you can type a semicolon-separated list of iSCSI initiator names for the initiators on the host computers of interest.

uninstall

If specified, uninstalls the disk associated with the LUN on the local system before the LUN is masked.

Scripting DiskRAID

DiskRAID may be scripted on any Windows Server 2003 system with an associated VDS hardware provider. To invoke a DiskRAID script, at the command prompt type:

diskraid /s script.txt

By default, DiskRAID stops processing commands and returns an error code if there is a problem in the script. To continue script execution, include the NOERR parameter on the command. This permits such useful practices as using a single script to delete all the LUNs in a subsystem regardless of the total number of LUNs. Not all commands support the NOERR parameter. Errors are always returned on command-syntax errors, regardless of whether you included the NOERR parameter,

DiskRAID error codes:

Error Code | Error Description
0 | No error occurred. The entire script ran without failure.
1 | A fatal exception occurred.
2 | The arguments specified on a DiskRAID command line were incorrect.
3 | DiskRAID was unable to open the specified script or output file.
4 | One of the services DiskRAID uses returned a failure.
5 | A command syntax error occurred. The script failed because an object was improperly selected or was invalid for use with that command.

Example: Interactively View Status of Subsystem

If you want to view the status of subsystem 0 on your computer, type the following at the command line:

diskraid

Press ENTER. The following is displayed:

Microsoft Diskraid version 5.2.xxxx
Copyright (c) 2003 Microsoft Corporation
On computer: COMPUTER_NAME

To select subsystem 0, type the following at the DiskRAID prompt:

select subsystem 0

Press ENTER. Output similar to the following is displayed:

Subsystem 0 is now the selected subsystem.

DISKRAID> list drives

  Drive ###  Status      Health          Size      Free    Bus  Slot  Flags
  ---------  ----------  ------------  --------  --------  ---  ----  -----
  Drive 0    Online      Healthy         107 GB    107 GB    0     1
  Drive 1    Offline     Healthy          29 GB     29 GB    1     0
  Drive 2    Online      Healthy         107 GB    107 GB    0     2
  Drive 3    Not Ready   Healthy          19 GB     19 GB    1     1

To exit DiskRAID, type the following at the DiskRAID prompt:

exit

Press ENTER. The following output is displayed:

Leaving Diskraid